ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-9160) Hadoop Clients Should Update All Clients During Rolling Upgrade
Date Fri, 16 Jan 2015 15:54:35 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-9160?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14280437#comment-14280437
] 

Hudson commented on AMBARI-9160:
--------------------------------

FAILURE: Integrated in Ambari-trunk-Commit-docker #784 (See [https://builds.apache.org/job/Ambari-trunk-Commit-docker/784/])
AMBARI-9160 - Hadoop Clients Should Update All Clients During Rolling Upgrade (jonathanhurley)
(jhurley: http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=80b4392abdab68eb820c8c405039104f7ad0d610)
* ambari-server/src/test/python/stacks/2.2/SLIDER/test_slider_client.py
* ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/hbase_client.py
* ambari-server/src/main/resources/common-services/SLIDER/0.60.0.2.2/package/scripts/slider_client.py
* ambari-server/src/test/python/stacks/2.0.6/HBASE/test_hbase_client.py


> Hadoop Clients Should Update All Clients During Rolling Upgrade
> ---------------------------------------------------------------
>
>                 Key: AMBARI-9160
>                 URL: https://issues.apache.org/jira/browse/AMBARI-9160
>             Project: Ambari
>          Issue Type: Task
>          Components: ambari-server
>    Affects Versions: 2.0.0
>            Reporter: Jonathan Hurley
>            Assignee: Jonathan Hurley
>             Fix For: 2.0.0
>
>         Attachments: AMBARI-9160.patch
>
>
> During a rolling upgrade, service components and clients call {{hdp-select}} to set the
new version and update symlinks in {{/usr/hdp/current}}.
> There is a problem in that {{/usr/hdp/current/hadoop-client}} may never be run if there
are non-HDFS/YARN/MapR clients installed on a host. Essentially, components always call 
> {noformat}
> hdp-select set oozie-client 2.2.1.0-1234
> {noformat}
> Where the component name is scoped correctly (falcon-client, etc)
> {{/usr/hdp/current/hadoop-client}} however does not have an associated client. Therefore,
the 
> {{<group name="CLIENTS" title="Client Components">}} group in the upgrade pack
should call the following:
> {noformat}
> hdp-select set client 2.2.1.0-1234
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message